WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: After the Deadline] Plugin Updater Thinks Version 0.421 is Newer Than Version 0.49 (5 posts)

  1. Chip Bennett
    Theme Review Admin
    Posted 4 years ago #

    So, while poking around the repository today, I noticed that version 0.49 of AtD was added four days ago (08Dec09).

    Strangely, although I have version 0.421 installed, I am not notified of a new version.

    When I use "Add New Plugin" feature from within WordPress, and serach for AtD, clicking the Install button in the search results opens the AtD repository page in the lightbox window. However, where the Install/Upgrade button normally is, the following message is displayed:

    Newer Version (0.421) Installed

    This makes no sense.

    Is this an issue with AtD, or with the updater/update-checker?

    http://wordpress.org/extend/plugins/after-the-deadline/

  2. rsmudge
    Member
    Posted 4 years ago #

    I suspect this is an issue with how version numbers are compared. I'm looking into creating a work-around for this.

  3. rsmudge
    Member
    Posted 4 years ago #

    :) My fault for using wonky version numbers (sorta). WordPress uses PHP's built-in version_compare function. http://us3.php.net/version_compare

    I'll likely post an update to the plugin today with a version number bump to resolve this issue. I just have one more issue to troubleshoot.

    -- Raphael

  4. Chip Bennett
    Theme Review Admin
    Posted 4 years ago #

    Awesome! Thanks again, Raphael!

  5. Chip Bennett
    Theme Review Admin
    Posted 4 years ago #

    Just updating the resolution status. The version 0.49001 properly reported itself, and I was able to upgrade.

Topic Closed

This topic has been closed to new replies.

About this Topic